import React from 'react';
import { ButtonColors } from '../../Configurations/ThemeConfig';
import { View } from 'react-native';
import { Text } from '../Text/Text';
export const Tag = props => {
  const {
    title,
    themeColor,
    fontColor,
    styles,
    width,
    height,
    textStyles,
    lines
  } = props;
  return /*#__PURE__*/React.createElement(View, {
    style: [{
      backgroundColor: themeColor !== null && themeColor !== void 0 ? themeColor : ButtonColors.primary,
      alignSelf: 'flex-start',
      paddingVertical: 8,
      paddingRight: 7,
      paddingLeft: 10,
      margin: 5,
      borderRadius: 5,
      width: width !== null && width !== void 0 ? width : 'auto',
      height: height !== null && height !== void 0 ? height : 'auto'
    }, styles]
  }, /*#__PURE__*/React.createElement(Text, {
    numberOfLines: lines,
    style: [{
      fontWeight: 'bold',
      fontSize: 14,
      lineHeight: 15,
      textAlign: 'left',
      color: fontColor !== null && fontColor !== void 0 ? fontColor : 'white'
    }, textStyles]
  }, title));
};
//# sourceMappingURL=Tag.js.map