import React, { FC, ReactNode } from 'react';
export declare type langTypes = 'en' | 'zh-cmn-Hant-HK';
export declare type LanguageContextProviderProps = {
    children: ReactNode;
    translationGetters: {
        [key: string]: any;
    };
    currentLanguage: langTypes;
};
export declare type LanguageContextProps = {
    selected: langTypes;
    setSelected: (val: langTypes) => void;
    translate: (val: string, options?: {
        [key: string]: string;
    }) => string;
    translateText: (val: string) => string;
};
export declare const LanguageContext: React.Context<{
    current: LanguageContextProps;
}>;
export declare const LanguageContextProvider: FC<LanguageContextProviderProps>;
declare const useLanguage: () => LanguageContextProps;
export default useLanguage;
