import React, { FC, ReactNode } from 'react';
import useLanguage from '../../services/LanguageService';
import { Label as LabelX, NativeBase } from 'native-base';

export type LabelProps = NativeBase.Label & {
  children: ReactNode | string;
  translationType?: 'default' | 'id' | 'none';
};
export const Label: FC<LabelProps> = (props: LabelProps) => {
  const { children, translationType } = props;
  const PropsX = props;
  delete PropsX.children;
  delete PropsX.translationType;
  const translateText = useLanguage()?.translateText;
  const translate = useLanguage()?.translate;
  switch (translationType) {
    case 'none':
      return <LabelX {...PropsX}>{children}</LabelX>;
    case 'id':
      return (
        <LabelX {...PropsX}>
          {translate ? translate(children as string) : children}
        </LabelX>
      );
    case 'default':
      return (
        <LabelX {...PropsX}>
          {translateText ? translateText(children as string) : children}
        </LabelX>
      );
    default:
      return (
        <LabelX {...PropsX}>
          {translateText ? translateText(children as string) : children}
        </LabelX>
      );
  }
};
