import React, { FC } from 'react';
import { Item, Text, View, Spinner } from 'native-base';
import { StyleSheet, Modal, SafeAreaView } from 'react-native';
import { TreeListItem } from './TreeListItem';
import { TreeItemProp } from './TreeDropdown';
import { colors } from '../../Configurations/ThemeConfig';

const styles = StyleSheet.create({
  barContainer: {
    padding: 5,
    justifyContent: 'center',
    flexDirection: 'row',
  },
  icon: {},
  doneButton: {
    alignItems: 'center',
    justifyContent: 'center',
    margin: 10,
    flexDirection: 'row',
    borderBottomWidth: 0,
  },
  cancel: {
    color: '#5FC9F8',
  },
});
type Props = {
  data: TreeItemProp[];
  placeholder?: string;
  value?: any[];
  showModal: boolean;
  closeModal: () => void;
  parentName: string;
  childName: string;
  onChange: (val: any[]) => void;
};
export const DropdownList: FC<Props> = (props: Props) => {
  const {
    data,
    value,
    showModal,
    closeModal,
    onChange,
    childName,
    parentName,
  } = props;

  const doneSelect = () => {
    closeModal();
  };
  return (
    <Modal visible={showModal} onDismiss={closeModal}>
      <SafeAreaView style={{ flex: 1 }}>
        <View style={styles.barContainer}>
          {/*<Item style={styles.doneButton}>*/}
          {/*  <Text style={styles.cancel} onPress={doneSelect}>*/}
          {/*    Cancel*/}
          {/*  </Text>*/}
          {/*</Item>*/}
          <Item style={styles.doneButton}>
            <Text style={styles.cancel} onPress={doneSelect}>
              Done
            </Text>
          </Item>
        </View>
        <View style={{ marginBottom: 70 }}>
          {data.length === 0 ? (
            <Spinner color={colors.primary} />
          ) : (
            <TreeListItem
              data={data}
              childName={childName}
              parentName={parentName}
              value={value}
              onChange={onChange}
            />
          )}
        </View>
      </SafeAreaView>
    </Modal>
  );
};
